import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class Paneltesti extends Applet
{
  private Panel buttonPanel;
  private Button buttons[];
  public void init()
  {
  buttonPanel=new Panel();
  buttons=new Button[5];
  buttonPanel.setLayout(new GridLayout(1,buttons.length));
  for(int i=0;i<buttons.length;i++)
  {
    buttons[i]=new Button("Button "+(i+1));
    buttonPanel.add(buttons[i]);
  }
  setLayout(new BorderLayout());
  add(buttonPanel,BorderLayout.SOUTH);
  }
}
